# Copyright 2023 (c) Anna Schumaker.
"""Early setup of Gtk modules to avoid errors later."""
import gi
import pathlib

gi.require_version("Adw", "1")
gi.importlib.import_module("gi.repository.Adw")

DEBUG_STR = "-debug" if __debug__ else ""
APPLICATION_ID = f"com.nowheycreamery.xfstestsdb.gtk{DEBUG_STR}"

__here = pathlib.Path(__file__).parent
CSS_FILE = __here / "xfstestsdb.css"
CSS_PRIORITY = gi.repository.Gtk.STYLE_PROVIDER_PRIORITY_APPLICATION
CSS_PROVIDER = gi.repository.Gtk.CssProvider()
CSS_PROVIDER.load_from_path(str(CSS_FILE))

RESOURCE_FILE = __here / "icons" / "xfstestsdb.gresource"
RESOURCE_PATH = "/com/nowheycreamery/xfstestsdb"
RESOURCE = gi.repository.Gio.Resource.load(str(RESOURCE_FILE))
gi.repository.Gio.resources_register(RESOURCE)


def add_style():
    """Add our custom stylesheet to the Gdk.Display."""
    style = gi.repository.Gtk.StyleContext
    style.add_provider_for_display(gi.repository.Gdk.Display.get_default(),
                                   CSS_PROVIDER, CSS_PRIORITY)
